Bug 85913 - [update] www/py-webware: build and install apache module on port installed
Summary: [update] www/py-webware: build and install apache module on port installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-09 17:30 UTC by Choe, Cheng-Dae
Modified: 2005-10-21 20:15 UTC (History)
0 users

See Also:


Attachments
file.diff (124.66 KB, patch)
2005-09-09 17:30 UTC, Choe, Cheng-Dae
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Choe, Cheng-Dae 2005-09-09 17:30:21 UTC
- add USE_APACHE flag
- build and install apache module
- fix plist file

How-To-Repeat:       N/A
Comment 1 Pav Lucistnik freebsd_committer 2005-09-10 21:19:22 UTC
Dear maintainer of FreeBSD port www/py-webware, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=85913

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

And now something completely different.
Comment 2 Pav Lucistnik freebsd_committer 2005-09-10 21:19:24 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 Pav Lucistnik freebsd_committer 2005-09-10 21:19:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Stefan Schwarzer 2005-09-21 13:17:53 UTC
Hello Pav

Thank you for your work on the port! :-)

On 2005-09-10 22:19, Pav Lucistnik wrote:
> Dear maintainer of FreeBSD port www/py-webware, please take a look at
>
> http://www.freebsd.org/cgi/query-pr.cgi?q=85913
>
> Do you approve this patch?

It seems that the patch _requires_ Apache. I had left out the
Apache/mod_webkit support intentionally because I thought that someone
might wish to use another webserver. After all, there's also a CGI
adapter (see
http://www.webwareforpython.org/Webware/WebKit/Docs/InstallGuide.html#cgi-adapter )
which could be used with other webservers.

Given that Apache is (as I strongly assume) the most-used web server
under FreeBSD, including mod_webkit makes sense. On the other hand, I
would like the Apache (and thus mod_webkit) support to be optional.

Another possibility would be to make mod_webkit a distinct port which
_obviously_ would require Apache. In general, I prefer separate ports
because they are easier to handle when doing an unattended install of
several modules. If you don't want a default feature and don't know of
it in advance, you will get the feature nonetheless.

Long ago, I had worked on a mod_webkit port (see
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/42296 ) but when I was
asked if it should be included, I said that it was rather old now (i. e.
then). Perhaps you can use this port as a basis for an own.

Something else: Since the Webware people use the term "adapter"
instead of "adaptor", I would prefer the word "adapter" in your line

@ ${ECHO} '---> Compiling apache adaptor'

Stefan
Comment 5 Pav Lucistnik freebsd_committer 2005-10-21 20:15:09 UTC
State Changed
From-To: feedback->closed

Committed, thanks!